Quite a while now but they only really worked well with the version of APT in Stretch or newer....